Bug 78022 - gammu port does not install libraries and headers, need to link another apps (i.e. Kammu)
Summary: gammu port does not install libraries and headers, need to link another apps ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-02-24 14:20 UTC by Sentry of Shadows
Modified: 2005-03-02 10:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sentry of Shadows 2005-02-24 14:20:21 UTC
gammu port does not install libraries and headers, need to compile and link another
applications, i.e. Kammu (KDE front-end for Gammu), because it link only command-line
static-linked gammu application. I provide small patch to Gammu's Makefile.glo to
link and install shared-linked gammu, libraries and headers, instead of static-linked
gammu binary only.

Fix: 

-install: uninstall all installdocs installlocales installonly
+install: uninstall all installdocs installlocales installlibonly

 installonly: all
 	@echo Installing binaries to $(DESTDIR)$(INSTALL_BIN_DIR)--lZppLDWv0HUDrvGI6PqY1dohOKf1wkeymLXkB1DzNTvr0uG4
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- Makefile.glo.bak	Thu Feb 24 20:12:17 2005
+++ Makefile.glo	Thu Feb 24 20:12:17 2005
@@ -203,7 +203,7 @@
 	@$(INSTALL) -m 0644 $(TOPDIR)/docs/docs/english/gammu.1 $(DESTDIR)$(INSTALL_MAN_DIR)
 	@$(RM) $(DESTDIR)$(INSTALL_DOC_DIR)/docs/english/gammu.1
How-To-Repeat: Install gammu from ports.
Download and try to install Kammu from sourceforge.
Catch an error in compile stage about missed header <gammu/gammu.h>
Comment 1 Pav Lucistnik freebsd_committer 2005-02-25 21:28:01 UTC
State Changed
From-To: open->feedback

Wouldn't this also need pkg-plist update? 


Comment 2 Pav Lucistnik freebsd_committer 2005-02-25 21:28:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Handle
Comment 3 Pav Lucistnik freebsd_committer 2005-03-02 09:51:27 UTC
Dear maintainer of FreeBSD port comms/gammu, please approve attached
patch that change gammu port to install header files and shared library:

Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/comms/gammu/Makefile,v
retrieving revision 1.8
diff -a -u -r1.8 Makefile
--- Makefile	26 Nov 2004 15:33:05 -0000	1.8
+++ Makefile	2 Mar 2005 09:49:58 -0000
@@ -7,6 +7,7 @@
 
 PORTNAME=	gammu
 PORTVERSION=	0.98.0
+PORTREVISION=	1
 CATEGORIES=	comms
 MASTER_SITES=	http://www.mwiacek.com/zips/gsm/gammu/older/ \
 		http://www.kirill.spb.ru/gammu/
@@ -16,9 +17,11 @@
 
 MAN1=		gammu.1
 USE_GMAKE=	yes
+USE_GNOME=	pkgconfig
 GNU_CONFIGURE=	yes
 WANT_AUTOCONF_VER=253
 
 CONFIGURE_ARGS=	--disable-bluerfsearch
+CONFIGURE_ENV=	CFLAGS="${CFLAGS} -fPIC"
 
 .include <bsd.port.mk>
Index: pkg-plist
===================================================================
RCS file: /home/pcvs/ports/comms/gammu/pkg-plist,v
retrieving revision 1.4
diff -a -u -r1.4 pkg-plist
--- pkg-plist	26 Nov 2004 15:33:05 -0000	1.4
+++ pkg-plist	2 Mar 2005 09:49:58 -0000
@@ -23,6 +23,101 @@
 share/gammu/gammu_it.txt
 share/gammu/gammu_pl.txt
 share/gammu/gammu_us.txt
+libdata/pkgconfig/gammu.pc
+lib/libGammu.a
+lib/libGammu.so
+lib/libGammu.so.0
+include/gammu/config.h
+include/gammu/gammu.h
+include/gammu/gsmcomon.h
+include/gammu/gsmstate.h
+include/gammu/device/devfunc.h
+include/gammu/device/bluetoth/affix.h
+include/gammu/device/bluetoth/blue_w32.h
+include/gammu/device/bluetoth/bluetoth.h
+include/gammu/device/bluetoth/bluez.h
+include/gammu/device/irda/irda.h
+include/gammu/device/irda/irda_unx.h
+include/gammu/device/irda/irda_w32.h
+include/gammu/device/serial/ser_djg.h
+include/gammu/device/serial/ser_unx.h
+include/gammu/device/serial/ser_w32.h
+include/gammu/misc/cfg.h
+include/gammu/misc/misc.h
+include/gammu/misc/coding/coding.h
+include/gammu/misc/coding/md5.h
+include/gammu/phone/pfunc.h
+include/gammu/phone/alcatel/alcatel.h
+include/gammu/phone/at/atgen.h
+include/gammu/phone/at/samsung.h
+include/gammu/phone/at/siemens.h
+include/gammu/phone/at/sonyeric.h
+include/gammu/phone/nokia/ncommon.h
+include/gammu/phone/nokia/nfunc.h
+include/gammu/phone/nokia/nfuncold.h
+include/gammu/phone/nokia/dct3/dct3comm.h
+include/gammu/phone/nokia/dct3/dct3func.h
+include/gammu/phone/nokia/dct3/n6110.h
+include/gammu/phone/nokia/dct3/n7110.h
+include/gammu/phone/nokia/dct3/n9210.h
+include/gammu/phone/nokia/dct4/dct4func.h
+include/gammu/phone/nokia/dct4/n3320.h
+include/gammu/phone/nokia/dct4/n3650.h
+include/gammu/phone/nokia/dct4/n6510.h
+include/gammu/phone/obex/obexgen.h
+include/gammu/phone/symbian/mroutgen.h
+include/gammu/protocol/protocol.h
+include/gammu/protocol/alcatel/alcabus.h
+include/gammu/protocol/at/at.h
+include/gammu/protocol/nokia/fbus2.h
+include/gammu/protocol/nokia/mbus2.h
+include/gammu/protocol/nokia/phonet.h
+include/gammu/protocol/obex/obex.h
+include/gammu/protocol/symbian/mrouter.h
+include/gammu/service/gsmcal.h
+include/gammu/service/gsmcall.h
+include/gammu/service/gsmdata.h
+include/gammu/service/gsmlogo.h
+include/gammu/service/gsmmisc.h
+include/gammu/service/gsmnet.h
+include/gammu/service/gsmpbk.h
+include/gammu/service/gsmprof.h
+include/gammu/service/gsmring.h
+include/gammu/service/backup/backgen.h
+include/gammu/service/backup/backics.h
+include/gammu/service/backup/backldif.h
+include/gammu/service/backup/backlmb.h
+include/gammu/service/backup/backtext.h
+include/gammu/service/backup/backvcf.h
+include/gammu/service/backup/backvcs.h
+include/gammu/service/backup/gsmback.h
+include/gammu/service/sms/gsmems.h
+include/gammu/service/sms/gsmmulti.h
+include/gammu/service/sms/gsmsms.h
+@dirrm include/gammu/service/sms
+@dirrm include/gammu/service/backup
+@dirrm include/gammu/service
+@dirrm include/gammu/protocol/symbian
+@dirrm include/gammu/protocol/obex
+@dirrm include/gammu/protocol/nokia
+@dirrm include/gammu/protocol/at
+@dirrm include/gammu/protocol/alcatel
+@dirrm include/gammu/protocol
+@dirrm include/gammu/phone/symbian
+@dirrm include/gammu/phone/obex
+@dirrm include/gammu/phone/nokia/dct3
+@dirrm include/gammu/phone/nokia/dct4
+@dirrm include/gammu/phone/nokia
+@dirrm include/gammu/phone/at
+@dirrm include/gammu/phone/alcatel
+@dirrm include/gammu/phone
+@dirrm include/gammu/misc/coding
+@dirrm include/gammu/misc
+@dirrm include/gammu/device/serial
+@dirrm include/gammu/device/irda
+@dirrm include/gammu/device/bluetoth
+@dirrm include/gammu/device
+@dirrm include/gammu
 @dirrm share/gammu
 @dirrm %%DOCSDIR%%/docs/english
 @dirrm %%DOCSDIR%%/docs/italian
Index: files/patch-cfg-Makefile.glo
===================================================================
RCS file: files/patch-cfg-Makefile.glo
diff -N files/patch-cfg-Makefile.glo
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ files/patch-cfg-Makefile.glo	2 Mar 2005 09:49:58 -0000
@@ -0,0 +1,41 @@
+--- cfg/Makefile.glo.orig	Mon Jul 26 04:01:32 2004
++++ cfg/Makefile.glo	Wed Mar  2 10:42:01 2005
+@@ -102,7 +102,7 @@
+ 	@echo Making $<
+ 	@$(CC) -c $(CFLAGS) -I$(TOPDIR)/common/ $(CPPFLAGS) $(<) -o $(@)
+     
+-all: gammu
++all: gammu shared
+ 
+ $(TOPDIR)/gammu/gammu: $(COMMON) $(GAMMU)
+ 	@echo Linking gammu
+@@ -203,7 +203,7 @@
+ 	@$(INSTALL) -m 0644 $(TOPDIR)/docs/docs/english/gammu.1 $(DESTDIR)$(INSTALL_MAN_DIR)
+ 	@$(RM) $(DESTDIR)$(INSTALL_DOC_DIR)/docs/english/gammu.1
+  
+-install: uninstall all installdocs installlocales installonly
++install: uninstall all installdocs installlocales installlibonly
+ 
+ installonly: all
+ 	@echo Installing binaries to $(DESTDIR)$(INSTALL_BIN_DIR)
+@@ -220,8 +220,7 @@
+ 
+ 	@echo Installing shared library to $(DESTDIR)$(INSTALL_LIB_DIR)
+ 	@$(INSTALL) -m 0755 -d $(DESTDIR)$(INSTALL_LIB_DIR)
+-	@$(INSTALL) -m 0644 $(TOPDIR)/common/libGammu.so.$(SONAME_MAJOR).$(SONAME_MINOR) $(DESTDIR)$(INSTALL_LIB_DIR)
+-	@$(LN) -s libGammu.so.$(SONAME_MAJOR).$(SONAME_MINOR) $(DESTDIR)$(INSTALL_LIB_DIR)/libGammu.so.$(SONAME_MAJOR)
++	@$(INSTALL) -m 0644 $(TOPDIR)/common/libGammu.so.$(SONAME_MAJOR).$(SONAME_MINOR) $(DESTDIR)$(INSTALL_LIB_DIR)/libGammu.so.$(SONAME_MAJOR)
+ 	@$(LN) -s libGammu.so.$(SONAME_MAJOR) $(DESTDIR)$(INSTALL_LIB_DIR)/libGammu.so
+  
+ 	@echo Installing static library to $(DESTDIR)$(INSTALL_LIB_DIR)
+@@ -240,8 +239,8 @@
+ 	@$(INSTALL) -m 0644 cfg/config.h $(DESTDIR)$(INSTALL_H_DIR)/config.h
+ 
+ 	@echo Installing pkgconfig file
+-	@$(INSTALL) -m 0755 -d $(DESTDIR)$(INSTALL_LIB_DIR)/pkgconfig
+-	@$(INSTALL) -m 0644 cfg/pkgconfig/gammu.pc $(DESTDIR)$(INSTALL_LIB_DIR)/pkgconfig
++	@$(INSTALL) -m 0755 -d $(prefix)/libdata/pkgconfig
++	@$(INSTALL) -m 0644 cfg/pkgconfig/gammu.pc $(prefix)/libdata/pkgconfig
+ 
+ apidoc:
+ 	@if test -z "$(DOXYGEN)" ; then \


-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

What is the airspeed velocity of an unladen swallow?
Comment 4 Pav Lucistnik freebsd_committer 2005-03-02 09:55:21 UTC
State Changed
From-To: feedback->closed

Committed after modifications